%global momorel   6
%global emacsver  22.0.50
%global xemacsver 21.4
%global apelver   10.6-5m
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: SKK - Simple Kana to Kanji conversion program - for Emacsen
Name: elisp-skk
Version: 20050206
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source0: http://openlab.ring.gr.jp/skk/maintrunk/ddskk-%{version}.tar.gz
#Nosource: 0
Source1: skk.el
URL: http://openlab.ring.gr.jp/skk/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}

# to avoid infinite loop if gcc >= 3
BuildPreReq: dbskkd-cdb >= 1.01-10m

%description
SKK is a software system that provides a very fast and efficient Japanese
input environment for Mule.  As it is implemented based on a very simple
principle, you can master the usage of SKK quickly. This tutorial explains
SKK assuming that you know enough about Mule.

%package -n skk-emacs
Group: Applications/Editors
Summary: SKK - Simple Kana to Kanji conversion program - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Requires: skk-jisyo
PreReq: info

%description -n skk-emacs
SKK is a software system that provides a very fast and efficient Japanese
input environment for Mule.  As it is implemented based on a very simple
principle, you can master the usage of SKK quickly. This tutorial explains
SKK assuming that you know enough about Mule.

%package -n skk-xemacs
Group: Applications/Editors
Summary: SKK - Simple Kana to Kanji conversion program - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: apel-xemacs >= %{apelver}
Requires: skk-jisyo

%description -n skk-xemacs
SKK is a software system that provides a very fast and efficient Japanese
input environment for Mule.  As it is implemented based on a very simple
principle, you can master the usage of SKK quickly. This tutorial explains
SKK assuming that you know enough about Mule.

%prep
%setup -q -n ddskk-%{version}

rm -rf %{buildroot}

%build
# mv experimental/skk-study.el .
make EMACS=emacs \
  PREFIX=%{_prefix} \
  SKK_LISPDIR=%{e_sitedir}/skk \
  SKK_DATADIR=%{_datadir}/skk \
  SKK_INFODIR=%{_infodir}
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  SKK_LISPDIR=%{buildroot}%{e_sitedir}/skk \
  SKK_DATADIR=%{buildroot}%{_datadir}/skk \
  SKK_INFODIR=%{buildroot}%{_infodir} \
  install

make clean

make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

# remove
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post -n skk-emacs
install-info %{_infodir}/skk.info.* %{_infodir}/dir --section="Emacs"

%preun -n skk-emacs
if [ "$1" = 0 ]; then
  install-info --delete %{_infodir}/skk.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc ChangeLog* READMEs
%doc experimental
%{_datadir}/skk/*
%{_datadir}/config-sample/%{name}

%files -n skk-emacs
%defattr(-,root,root)
%{e_sitedir}/skk
%{_infodir}/*.info*

%files -n skk-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/skk
%{sitepdir}/etc/skk
%{sitepdir}/info/*.info*

%changelog
* Wed Dec 28 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (20050206-6m)
- no NoSource

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (20050206-5m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (20050206-2m)
- use %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (20050206-1m)
- rebuild against emacs 22.0.50
- update to 20050206

* Thu Nov 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (20040509-3m)
- update apelver to 10.6-3m

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (20040509-2m)
- rebuild against emacs-21.3.50

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040509-1m)
- verup

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (20031214-2m)
- revised spec for enabling rpm 4.2.

* Thu Dec 18 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (20031214-1m)
- update to 20031214
- comment out 'mv experimental/skk-study.el .' for rebuild

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (20030112-3m)
- rebuild against emacs-21.3
- define apelver
- update apel version
- use %%{_prefix} macro

* Mon Jan 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (20030112-2m)
- add BuildPreReq: dbskkd-cdb >= 1.01-10m to avoid infinite loop if gcc >= 3

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (20030112-1m)
- update to 20030112

* Sun Oct  6 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (20021006-1m)
- update to 20021006

* Sat Aug 17 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (20020811-1m)
- update to 20020811
- modify %doc because ChangeLog and ChangeLog* was repeated.

* Tue Jul 18 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (20020714-1m)
- update to 20020714

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (20020127-4k)
- /sbin/install-info -> info in PreReq.

* Sun Feb  3 2002 Kenta MURATA <muraken2@nifty.com>
- (20020127-2k)
- version up.

* Sat Nov 17 2001 Kenta MURATA <muraken2@nifty.com>
- (10.62a-6k)
- add Requires: skk-jisyo
- add skk.el to config-sample

* Sun Oct 28 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-skk-10.62a-4k)
- merge skk-emacs and skk-xemacs

* Thu Nov  9 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Change BuildPreReq, Requires, Provides and Obsoletes TAG

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (10.61-1k)
- version 10.61 (not stable ?)
- modify specfile (License)

* Thu Aug 10 2000 Toru Hoshina <t@kondara.org>
- rebuild against xemacs 21.1.12.

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 10.59
- add "-q" at %setup
- remove info entry

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- modified reference of XEmacs info
- rebuild for apel-10.2

* Mon Mar  6 2000 Akira Higuchi <a@kondara.org>
- added skk-10.57-skknumlist.patch

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Wed Feb 23 2000 Hidetomo Machi <mcHT@kondara.org>
- version up to 10.57
- describe info entry in %{_infodir}/dir
- add BuildPreReq tag

* Fri Nov 26 1999 Hidetomo Hosono <h@kondara.org>
- to let require apel-xemacs.

* Tue Nov 23 1999 Hidetomo Hosono <h@kondara.org>
- release for xemacs, based on Hidetomo Hosono's <h@kondara.org> 's
  skk-mule.spec
